API Reference
Introduction
The UserCheck API is organized around REST. Our API has predictable resource-oriented URLs, accepts JSON-encoded request bodies, returns JSON-encoded responses, and uses standard HTTP response codes, authentication, and verbs.
The UserCheck API is continuously updated with new disposable email providers and enhanced validation rules to provide the most accurate email verification service.
Base URL
All API requests should be made to:
https://api.usercheck.com
Quick Start
Here's a simple example of checking if an email is disposable:
curl -X GET "https://api.usercheck.com/email/[email protected]" \
-H "Authorization: Bearer YOUR_API_KEY"
Response:
{
"status": 200,
"email": "[email protected]",
"normalized_email": "[email protected]",
"domain": "github.com",
"domain_authority": 96,
"domain_age_in_days": 6712,
"mx": true,
"mx_records": [
{ "hostname": "aspmx.l.google.com", "priority": 1 },
{ "hostname": "alt1.aspmx.l.google.com", "priority": 5 },
{ "hostname": "alt2.aspmx.l.google.com", "priority": 5 },
{ "hostname": "alt3.aspmx.l.google.com", "priority": 10 },
{ "hostname": "alt4.aspmx.l.google.com", "priority": 10 }
],
"mx_providers": [
{ "slug": "google", "type": "mailbox", "grade": "professional" }
],
"disposable": false,
"public_domain": false,
"relay_domain": false,
"alias": false,
"role_account": false,
"spam": false,
"did_you_mean": null,
"blocklisted": false
}
Getting Started
- Sign up for a free account to get your API key
- Read our Authentication guide to learn how to authenticate your requests
- Verify your setup is working by calling the Status Endpoint
- Try the Email Endpoint to validate your first email address
- Check out our Rate Limits to understand usage restrictions
For AI & Coding Agents
The full UserCheck documentation is available in a machine-readable format at llms.txt. Point your AI coding agent or LLM at this file to give it complete context about the UserCheck API.